Subject: Re: bug#26993: 25.2; package.el: docstrings keep pointing to old code after package upgrade

From: Heikki Lehvaslaiho <[email-masked]>
Date: Mon, 14 Dec 2020 11:28:33 +0200

Still happens with GNU Emacs 27.1 (build 1, x86_64-apple-darwin19.6.0, NS
appkit-1894.60 Version 10.15.7 (Build 19H15)) of 2020-12-02

1. Upgraded all packages
2. Selected one randomly: "package", package was upgraded from 0.5.2 to
0.5.3
3. M-x describe-function (on package-dired)
Cannot open doc string file
"/Users/helehvas/.emacs.d/elpa/project-0.5.2/project.elc"

Cheers,

     -Heikki

Heikki Lehväslaiho - skype:heikki_lehvaslaiho cell: +358 40 850 6640
http://about.me/heikki

On Sat, 12 Dec 2020 at 21:48, Lars Ingebrigtsen <[email-masked]> wrote:

> Heikki Lehvaslaiho <[email-masked]> writes:
>
> > There is a long standing problem that keeps docstrings pointing to the
> > old location after the package has been upgraded.
> >
> > See
> >
> https://emacs.stackexchange.com/questions/12158/docstrings-are-invalid-after-upgrading-packages
> >
> > Emacs restart or manual load-library on the new new file do fix the
> > problem, but shouldn't loading happen automatically at package
> > upgrade?
>
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
>
> I tried this now with an arbitrary package -- chess from GNU ELPA.  `C-h
> f chess RET' after the update worked fine for me, so I'm not able to
> reproduce this problem.
>
> Are you still seeing this in recent versions of Emacs?  If so, do you
> have a recipe to reproduce the bug?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>